Subject: categories: Regarding John Isbell

From: Marie Bennett <[email-masked]>
Date: Wed, 09 Feb 2000 11:25:00 -0500

Hi,

As you know John Isbell is still recovering from the major illness he
suffered last year.  He is in a rehab center and has made remarkable
progress.  There is still a long way to go before he will be released. 
There is very little mental stimulation in these facilities.  If you can
spare the time, a visit would be wonderful.  If that is not possible,
I'm sure a note would be welcome.  Anything to break up the sameness of
the days.  The address is:

Harris Hill Nursing Facility
2699 Wehrle Dr.
Williamsville  NY  14221